Bug 660197 - [5.6] Using call subcommand to the functions handling DSOs causes info program to behave abnormally
Summary: [5.6] Using call subcommand to the functions handling DSOs causes info progra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdb
Version: 5.6
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Kratochvil
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 590060 661773 669428 669636
TreeView+ depends on / blocked
 
Reported: 2010-12-06 03:05 UTC by Masayoshi Yamazaki
Modified: 2018-11-14 16:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, a change to the list of shared libraries could corrupt the internal "bpstat" structure. Consequent to this, typing the "info program" command at a GDB prompt could cause the utility to terminate unexpectedly with a segmentation fault. This update ensures that the "bpstat" structure always contains the correct data, and running the "info program" command no longer causes the debugger to crash.
Clone Of:
: 669428 (view as bug list)
Environment:
Last Closed: 2011-07-21 07:58:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix + testcase. (37.82 KB, patch)
2010-12-10 17:55 UTC, Jan Kratochvil
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1024 0 normal SHIPPED_LIVE gdb bug fix update 2011-07-20 15:44:21 UTC

Comment 3 Jan Kratochvil 2010-12-10 17:55:45 UTC
Created attachment 468024 [details]
Fix + testcase.

New testcases:
PASS: gdb.cp/infcall-dlopen.exp: test * info program
+Running gdb/testsuite/gdb.base/moribund-step.exp ...
+Running gdb/testsuite/gdb.base/watch-cond-infcall.exp ...

Comment 4 Eric Bachalo 2010-12-10 18:03:31 UTC
likely too late for 5.6, but should be in 5.6.z and 5.7.0

Comment 10 Jan Kratochvil 2011-01-13 20:35:18 UTC
* Thu Jan 13 2011 Jan Kratochvil <jan.kratochvil@redhat.com> - 7.0.1-33.el5
- Fix crash on stale bpstat (BZ 660197).

Comment 12 Jaromir Hradilek 2011-01-18 15:23:00 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, a change to the list of shared libraries could corrupt the internal "bpstat" structure. Consequent to this, typing the "info program" command at a GDB prompt could cause the utility to terminate unexpectedly with a segmentation fault. This update ensures that the "bpstat" structure always contains the correct data, and running the "info program" command no longer causes the debugger to crash.

Comment 15 errata-xmlrpc 2011-07-21 07:58:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1024.html


Note You need to log in before you can comment on or make changes to this bug.